
From: Markus Lidel <Markus.Lidel@shadowconnect.com>

- Fixed bug in i2o_iop_systab_set where address is used instead of length

Signed-off-by: Markus Lidel <Markus.Lidel@shadowconnect.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/message/i2o/iop.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/message/i2o/iop.c~fix-bug-in-i2o_iop_systab_set-where-address-is-used-instead drivers/message/i2o/iop.c
--- 25/drivers/message/i2o/iop.c~fix-bug-in-i2o_iop_systab_set-where-address-is-used-instead	Wed Nov  3 15:24:31 2004
+++ 25-akpm/drivers/message/i2o/iop.c	Wed Nov  3 15:24:31 2004
@@ -810,7 +810,7 @@ static int i2o_iop_systab_set(struct i2o
 
 	writel(c->unit + 2, &msg->body[0]);
 	writel(0, &msg->body[1]);
-	writel(0x54000000 | i2o_systab.phys, &msg->body[2]);
+	writel(0x54000000 | i2o_systab.len, &msg->body[2]);
 	writel(i2o_systab.phys, &msg->body[3]);
 	writel(0x54000000 | sb->current_mem_size, &msg->body[4]);
 	writel(sb->current_mem_base, &msg->body[5]);
_
